[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

threads and latest libg++?

Dale Martin writes:
 > Are the latest libg++ and threads happy together?  I have libg++272 version
 > installed, and I'm running mostly libc6 stuff.
 > Here's my program, reduced to illustrate the problem precisely.

If you have to remove all the classes in c++ to get threads working,
there isn't much sense in using c++ :-)

I've had the same problem, and as far as I've been able to collect,
g++ simply isn't, and won't be thread safe.  If you wish for a thread
safe environment, get stdc++ 2.8.0 or the 'egcs' compiler.

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-user-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: